Audio Plug-ins

Glitch 2

Glitch 2

Glitch 2 is now available for Windows, Mac and Linux!

Visit the new website for downloads and more information.

http://illformed.com


Old VST Plug-ins Pack

This pack contains the following older plug-ins: Glitch 1.3, Crusher, Stretch, TapeStop.

All plug-ins are 32-bit VST for Windows only.

These plug-ins are no longer being developed and are completely unsupported. They are provided to you here purely for backup purposes, or for the sake of curiosity.

They are very outdated, they definitely contain some bugs, and they may even crash your host without warning! If you don’t like the sound of that, then simply avoid using these plug-ins. I take no responsibility for any damage they may cause to your system. You have been warned!

USE THESE PLUG-INS AT YOUR OWN RISK!

Download (1.2 MB)


Attention webmasters and link sharers!

Please…

  • Do not link directly to any of the downloads. Link to this page instead.
  • Do not host any mirrored copies of the downloads on your own servers.
  • Do not redistribute the downloaded files in any way without express permission.

Thank you for your co-operation.